package com.gh.gamecenter.core.provider

import android.content.Context


interface ISentryProvider {

    fun init(context: Context, channel: String, flavor: String, versionName: String)

    fun onEvent(eventId: String, vararg kv: String?)

    fun captureException(e: Throwable)

    fun onEventInAllChannel(eventId: String, vararg kv: String?)

}